## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 6eb83814f54e29035edf71540a7c53144b1bc84c
%global snapdate 20231210

Name:           parsertl14
Summary:        The Modular Parser Generator
# Upstream has never versioned the library.
Version:        0^%{snapdate}git%(c='%{commit}'; echo "${c:0:7}")
Release:        %autorelease

License:        BSL-1.0
URL:            https://github.com/BenHanson/parsertl14
Source:         %{url}/archive/%{commit}/parsertl14-%{commit}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  dos2unix

BuildRequires:  lexertl14-devel
# Header-only library:
# (Technically, dependent packages should have this BuildRequires too.)
BuildRequires:  lexertl14-static

# No compiled binaries are installed, so this would be empty.
%global debug_package %{nil}

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package devel
Summary:        %{summary}

BuildArch:      noarch

# Header-only library:
Provides:       parsertl14-static = %{version}-%{release}

Requires:       lexertl14-devel

%description devel %{common_description}


%prep
%autosetup -n parsertl14-%{commit} -p1

# Fix line terminations (particularly for files that may be installed)
find . -type f -exec file '{}' '+' |
  grep -E '\bCRLF\b' |
  cut -d ':' -f 1 |
  xargs -r dos2unix --keepdate


# Nothing to build


%install
install -d '%{buildroot}%{_includedir}'
cp -rvp include/parsertl '%{buildroot}%{_includedir}/'


%check
%set_build_flags
${CXX-g++} -I"${PWD}/include" ${CPPFLAGS} ${CXXFLAGS} -o include_test ${LDFLAGS} \
    tests/include_test/*.cpp


%files devel
%license include/parsertl/licence_1_0.txt
%doc README.md

%{_includedir}/parsertl/


%changelog
## START: Generated by rpmautospec
* Sat Jan 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20231210git6eb8381-2
- Update to 0^20231210git6eb8381 with some upstream bugfixes

* Sat Jan 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20230911gitace8a58-1
- Keep timestamps when converting text file line endings

* Sat Jan 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0^20230911gitace8a58-1
- Initial package (close RHBZ#2238029)

## END: Generated by rpmautospec
